Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Aug 2009 00:09:22 -0400

> When I launch GNU Emacs in an ISO Latin environment (env
> LC_CTYPE=de_DE.ISO8859-15 LANG=de_DE.ISO8859-15 /usr/local/bin/
> emacs-23.1.50 -Q &) and display in dired a directory with entries  from some
> month of March the "Mär" abbrevation for the German month  name "März" is
> displayed as M\344r. C-u C-x = on this \344 reveals:

Hmm... that looks like a problem in dired: the file names in the output
of `ls' should follow file-name-coding-system, whereas the rest of the
output seem to use locale-coding-system.  Coudl you check if that's
indeed the case:
- create a file from the Finder using accented latin-1
  chars, as well as non-latin-1 chars).
- look at it in your dired and tell us what you see.

On a Darwin system, I very warmly recommend to stick to utf-8 coding
systems for everything, since it should avoid such problems.

        Stefan